---
title: RTCAnswerOptions
slug: Web/API/RTCAnswerOptions
tags:
  - API
  - Dictionary
  - RTCAnswerOptions
  - RTCPeerConnection
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - answer
  - createAnswer
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>RTCAnswerOptions</strong></code> dictionary is used to provide optional settings when creating an {{Glossary("SDP")}} answer using {{domxref("RTCPeerConnection.createOffer()")}} after receiving an offer from a remote peer.</span> The <code>createOffer()</code> method's <code>options</code> parameter is of this type.</p>

<h2 id="Properties">Properties</h2>

<p><em>This dictionary inherits properties from the {{domxref("RTCOfferAnswerOptions")}} dictionary, on which it's based.</em></p>

<div class="note">
<p><strong>Note:</strong> At this time, <code>RTCAnswerOptions</code> does not have any additional properties defined beyond those included in {{domxref("RTCOfferAnswerOptions")}}. However, this is likely to change in the future, so the type has been defined in preparation for that eventuality.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcansweroptions', 'RTCAnswerOptions')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCAnswerOptions")}}</p>
